Stream compute version logs via WebSocket

Experimental endpoint: this API is in active development and may change at any time without notice. Upgrades to a WebSocket connection that streams log output for the specified compute version. Each message is a JSON object with `type: "log"` (log text + byte metadata) or `type: "terminal"` (end-of-segment signal with reconnect cursor). The stream ends after 10 minutes; reconnect with the `cursor` query parameter to continue.

⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️

Upgrades to a WebSocket connection that streams log output for the specified compute version. Each message is a JSON object with type: "log" (log text + byte metadata) or type: "terminal" (end-of-segment signal with reconnect cursor). The stream ends after 10 minutes; reconnect with the cursor query parameter to continue.

GET/v1/compute-services/versions/{versionId}/logs
AuthorizationBearer <token>

OAuth2 authentication

In: header

Scope: workspace:admin, offline_access

Path Parameters

versionId*string
Match^(cpv_)?([cC][^\s-]{8,}|[a-z0-9]+)$

Query Parameters

tail?integer
Range1 <= value <= 10000
from_start?string
Value in"true" | "false"
cursor?string
Match^\d+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.prisma.io/v1/compute-services/versions/string/logs"
Empty